=== modified file 'annotate/config.py'
--- annotate/config.py	2011-07-31 15:52:43 +0000
+++ annotate/config.py	2011-08-01 20:28:54 +0000
@@ -16,7 +16,7 @@
 
 import os
 
-import Gtk.gdk
+from gi.repository import Gdk
 
 from bzrlib import config
 try:

=== modified file 'annotate/gannotate.py'
--- annotate/gannotate.py	2011-07-31 16:50:29 +0000
+++ annotate/gannotate.py	2011-08-01 20:28:54 +0000
@@ -17,6 +17,7 @@
 import time
 
 from gi.repository import GObject
+from gi.repository import Gdk
 from gi.repository import Gtk
 from gi.repository import Pango
 import re
@@ -50,7 +51,8 @@
 
         Window.__init__(self, parent)
 
-        self.set_icon(self.render_icon(Gtk.STOCK_FIND, Gtk.IconSize.BUTTON))
+        self.set_icon(
+            self.render_icon_pixbuf(Gtk.STOCK_FIND, Gtk.IconSize.BUTTON))
         self.annotate_colormap = AnnotateColorSaturation()
 
         self._create()
@@ -127,8 +129,9 @@
         else:
             row = lineno - 1
 
-        self.annoview.set_cursor(row)
-        self.annoview.scroll_to_cell(row, use_align=True)
+        tree_path = Gtk.TreePath.new_from_string(str(row))
+        self.annoview.set_cursor(tree_path, None, None)
+        self.annoview.scroll_to_cell(tree_path, use_align=True)
 
 
     def _annotate(self, tree, file_id):
@@ -191,7 +194,7 @@
         self.revisionview = self._create_log_view()
         self.annoview = self._create_annotate_view()
 
-        vbox = Gtk.VBox(False)
+        vbox = Gtk.VBox(homogeneous=False, spacing=0)
         vbox.show()
 
         sw = Gtk.ScrolledWindow()
@@ -205,32 +208,32 @@
         swbox.pack_start(sw, True, True, 0)
         swbox.show()
 
-        hbox = Gtk.HBox(False, 6)
+        hbox = Gtk.HBox(homogeneous=False, spacing=6)
         self.back_button = self._create_back_button()
-        hbox.pack_start(self.back_button, expand=False, fill=True)
+        hbox.pack_start(self.back_button, False, True, 0)
         self.forward_button = self._create_forward_button()
-        hbox.pack_start(self.forward_button, expand=False, fill=True)
+        hbox.pack_start(self.forward_button, False, True, 0)
         self.find_button = self._create_find_button()
-        hbox.pack_start(self.find_button, expand=False, fill=True)
+        hbox.pack_start(self.find_button, False, True, 0)
         self.goto_button = self._create_goto_button()
-        hbox.pack_start(self.goto_button, expand=False, fill=True)
+        hbox.pack_start(self.goto_button, False, True, 0)
         hbox.show()
-        vbox.pack_start(hbox, expand=False, fill=True)
+        vbox.pack_start(hbox, False, True, 0)
 
         self.pane = pane = Gtk.VPaned()
         pane.add1(swbox)
         pane.add2(self.revisionview)
         pane.show()
-        vbox.pack_start(pane, expand=True, fill=True)
+        vbox.pack_start(pane, True, True, 0)
 
         self._search = SearchBox()
-        swbox.pack_start(self._search, expand=False, fill=True)
+        swbox.pack_start(self._search, False, True, 0)
         accels = Gtk.AccelGroup()
-        accels.connect_group(Gdk.KEY_f, Gdk.EventMask.CONTROL_MASK,
-                             Gtk.ACCEL_LOCKED,
+        accels.connect(Gdk.KEY_f, Gdk.ModifierType.CONTROL_MASK,
+                             Gtk.AccelFlags.LOCKED,
                              self._search_by_text)
-        accels.connect_group(Gdk.KEY_g, Gdk.EventMask.CONTROL_MASK,
-                             Gtk.ACCEL_LOCKED,
+        accels.connect(Gdk.KEY_g, Gdk.ModifierType.CONTROL_MASK,
+                             Gtk.AccelFlags.LOCKED,
                              self._search_by_line)
         self.add_accel_group(accels)
 
@@ -279,7 +282,7 @@
                           tv.get_style().bg[Gtk.StateType.NORMAL])
         col = Gtk.TreeViewColumn()
         col.set_resizable(False)
-        col.pack_start(cell, True, True, 0)
+        col.pack_start(cell, True)
         col.add_attribute(cell, "text", LINE_NUM_COL)
         tv.append_column(col)
 
@@ -290,7 +293,7 @@
                           self.get_style().bg[Gtk.StateType.NORMAL])
         col = Gtk.TreeViewColumn("Committer")
         col.set_resizable(True)
-        col.pack_start(cell, True, True, 0)
+        col.pack_start(cell, True)
         col.add_attribute(cell, "text", COMMITTER_COL)
         tv.append_column(col)
 
@@ -301,7 +304,7 @@
                           self.get_style().bg[Gtk.StateType.NORMAL])
         col = Gtk.TreeViewColumn("Revno")
         col.set_resizable(False)
-        col.pack_start(cell, True, True, 0)
+        col.pack_start(cell, True)
         col.add_attribute(cell, "markup", REVNO_COL)
         tv.append_column(col)
 
@@ -310,7 +313,7 @@
         cell.set_property("family", "Monospace")
         col = Gtk.TreeViewColumn()
         col.set_resizable(False)
-        col.pack_start(cell, True, True, 0)
+        col.pack_start(cell, True)
 #        col.add_attribute(cell, "foreground", HIGHLIGHT_COLOR_COL)
         col.add_attribute(cell, "background", HIGHLIGHT_COLOR_COL)
         col.add_attribute(cell, "text", TEXT_LINE_COL)
@@ -321,7 +324,7 @@
             return model.get_value(iter, TEXT_LINE_COL).lower().find(key.lower()) == -1
 
         tv.set_enable_search(True)
-        tv.set_search_equal_func(search_equal_func)
+        tv.set_search_equal_func(search_equal_func, None)
 
         return tv
 
@@ -453,7 +456,7 @@
 class SearchBox(Gtk.HBox):
     """A button box for searching in text or lines of annotations"""
     def __init__(self):
-        GObject.GObject.__init__(self, False, 6)
+        Gtk.HBox.__init__(self, homogeneous=False, spacing=6)
 
         # Close button
         button = Gtk.Button()
@@ -462,18 +465,18 @@
         button.set_image(image)
         button.set_relief(Gtk.ReliefStyle.NONE)
         button.connect("clicked", lambda w: self.hide_all())
-        self.pack_start(button, expand=False, fill=False)
+        self.pack_start(button, False, False, 0)
 
         # Search entry
         label = Gtk.Label()
         self._label = label
-        self.pack_start(label, expand=False, fill=False)
+        self.pack_start(label, False, False, 0)
 
         entry = Gtk.Entry()
         self._entry = entry
         entry.connect("activate", lambda w, d: self._do_search(d),
                       'forward')
-        self.pack_start(entry, expand=False, fill=False)
+        self.pack_start(entry, False, False, 0)
 
         # Next/previous buttons
         button = Gtk.Button('_Next')
@@ -482,7 +485,7 @@
         button.set_image(image)
         button.connect("clicked", lambda w, d: self._do_search(d),
                        'forward')
-        self.pack_start(button, expand=False, fill=False)
+        self.pack_start(button, False, False, 0)
 
         button = Gtk.Button('_Previous')
         image = Gtk.Image()
@@ -490,17 +493,17 @@
         button.set_image(image)
         button.connect("clicked", lambda w, d: self._do_search(d),
                        'backward')
-        self.pack_start(button, expand=False, fill=False)
+        self.pack_start(button, False, False, 0)
 
         # Search options
         check = Gtk.CheckButton('Match case')
         self._match_case = check
-        self.pack_start(check, expand=False, fill=False)
+        self.pack_start(check, False, False, 0)
 
         check = Gtk.CheckButton('Regexp')
         check.connect("toggled", lambda w: self._set_label())
         self._regexp = check
-        self.pack_start(check, expand=False, fill=False)
+        self.pack_start(check, False, False, 0)
 
         self._view = None
         self._column = None

=== modified file 'avatarsbox.py'
--- avatarsbox.py	2011-08-01 14:46:23 +0000
+++ avatarsbox.py	2011-08-01 20:28:54 +0000
@@ -14,7 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-from gi.repository import GObject
 from gi.repository import Gtk
 
 from bzrlib.config import parse_username
@@ -31,7 +30,7 @@
 
     def __init__(self, apparent_username):
         """ Constructor """
-        GObject.GObject.__init__(self)
+        Gtk.HBox.__init__(self)
 
         self.apparent_username = apparent_username
         self.username, self.email = parse_username(apparent_username)
@@ -39,7 +38,7 @@
 
     def __eq__(self, other):
         return (self.apparent_username == other.apparent_username and
-                self.name == other.name and
+                self.username == other.username and
                 self.email == other.email)
 
     def show_spinner(self):
@@ -50,18 +49,12 @@
         """
         if self.email:
             tooltip = _i18n("Retrieving avatar for %s...") % self.email
-            if getattr(gtk, "Spinner", False):
-                spinner = Gtk.Spinner()
-                spinner.start()
-                self.pack_start(spinner, False)
-                spinner.set_tooltip_text(tooltip)
-                spinner.set_size_request(20, 20)
-                spinner.show()
-            else:
-                spinner = Gtk.Label(label=tooltip)
-                self.pack_start(spinner, True, True, 0)
-                self.set_tooltip_text(self.apparent_username)
-                spinner.show()
+            spinner = Gtk.Spinner()
+            spinner.start()
+            self.pack_start(spinner, False, True, 0)
+            spinner.set_tooltip_text(tooltip)
+            spinner.set_size_request(20, 20)
+            spinner.show()
         else:
             no_email = Gtk.Label(label=_i18n("No email"))
             self.pack_start(no_email, True, True, 0)
@@ -81,7 +74,7 @@
     """HBox showing an avatar."""
 
     def __init__(self, homogeneous=False, spacing=0):
-        GObject.GObject.__init__(self, homogeneous, spacing)
+        Gtk.HBox.__init__(self, homogeneous=homogeneous, spacing=spacing)
         self.__avatars = {}
         self.avatar = None
         self.__displaying = None
@@ -163,7 +156,7 @@
     """GTK container for author and committer avatars."""
 
     def __init__(self):
-        GObject.GObject.__init__(self, False, 10)
+        Gtk.HBox.__init__(self, homogeneous=False, spacing=10)
 
         self.__committer_box = None
         self.__authors_box = None
@@ -214,11 +207,11 @@
         # Committer
         self.__committer_box = AvatarBox()
         self.__committer_box.set_size_request(80, 80)
-        self.pack_end(self.__committer_box, False)
+        self.pack_end(self.__committer_box, False, True, 0)
         self.__committer_box.show()
         # Authors
         self.__authors_box = AvatarBox()
-        self.pack_end(self.__authors_box, False)
+        self.pack_end(self.__authors_box, False, True, 0)
         self.__authors_box.set_spacing(10)
         self.__authors_box.show()
 
@@ -228,14 +221,15 @@
         :param response: a urllib2.urlopen() return value.
         :param email: used to identify item from self.__avatars.
         """
-        if email:
-            # Convert downloaded image from provider to Gtk.Image
-            loader = GdkPixbuf.PixbufLoader()
-            loader.write(response.read())
-            loader.close()
+        # XXX sinzui 2011-08-01: This must be implemented in cairo
+#        if email:
+#            # Convert downloaded image from provider to Gtk.Image
+#            loader = Gdk.GdkPixbuf.PixbufLoader()
+#            loader.write(response.read())
+#            loader.close()
 
-            for role in ["committer", "author"]:
-                self._role_box_for(role).and_avatar_email(email).update_avatar_image_from_pixbuf_loader(loader)
+#            for role in ["committer", "author"]:
+#                self._role_box_for(role).and_avatar_email(email).update_avatar_image_from_pixbuf_loader(loader)
 
     def _role_box_for(self, role):
         """ Return the Gtk.HBox for the given role """

=== modified file 'revisionview.py'
--- revisionview.py	2011-07-31 16:50:29 +0000
+++ revisionview.py	2011-08-01 20:28:54 +0000
@@ -51,13 +51,13 @@
             webbrowser._tryorder.insert(0, '%s "%%s"' % cmd)
     webbrowser.open(uri)
 
-if getattr(gtk, 'link_button_set_uri_hook', None) is not None:
+if getattr(Gtk, 'link_button_set_uri_hook', None) is not None:
     Gtk.link_button_set_uri_hook(_open_link)
 
 class BugsTab(Gtk.VBox):
 
     def __init__(self):
-        super(BugsTab, self).__init__(False, 6)
+        super(BugsTab, self).__init__(homogeneous=False, spacing=6)
 
         table = Gtk.Table(rows=2, columns=2)
 
@@ -68,7 +68,7 @@
         image.set_from_file(icon_path("bug.png"))
         table.attach(image, 0, 1, 0, 1, Gtk.AttachOptions.FILL)
 
-        align = Gtk.Alignment.new(0.0, 0.1)
+        align = Gtk.Alignment.new(0.0, 0.1, 0, 0)
         self.label = Gtk.Label()
         align.add(self.label)
         table.attach(align, 1, 2, 0, 1, Gtk.AttachOptions.FILL)
@@ -106,7 +106,7 @@
 
     def construct_treeview(self):
         self.bugs = Gtk.ListStore(GObject.TYPE_STRING, GObject.TYPE_STRING)
-        self.treeview = Gtk.TreeView(self.bugs)
+        self.treeview = Gtk.TreeView(model=self.bugs)
         self.treeview.set_headers_visible(False)
 
         uri_column = Gtk.TreeViewColumn('Bug URI', Gtk.CellRendererText(), text=0)
@@ -533,7 +533,7 @@
                                       Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
             align.show()
 
-            hbox = Gtk.HBox(False, spacing=6)
+            hbox = Gtk.HBox(homogeneous=False, spacing=6)
             align.add(hbox)
             hbox.show()
 
@@ -556,30 +556,32 @@
             revid_label.set_alignment(0.0, 0.5)
             button.add(revid_label)
             button.connect("clicked",
-                    lambda w, r: self.set_revision(self._repository.get_revision(r)), revid)
+                    lambda w, r: self.set_revision(
+                        self._repository.get_revision(r)), revid)
             button.set_use_underline(False)
             hbox.pack_start(button, expand=True, fill=True)
             button.show_all()
 
     def _create_general(self):
-        vbox = Gtk.VBox(False, 6)
+        vbox = Gtk.VBox(homogeneous=False, spacing=6)
         vbox.set_border_width(6)
-        vbox.pack_start(self._create_headers(, True, True, 0), expand=False, fill=True)
-        vbox.pack_start(self._create_message_view(, True, True, 0))
-        self.append_page(vbox, tab_label=Gtk.Label(label="General"))
+        vbox.pack_start(self._create_headers(), False, True, 0)
+        vbox.pack_start(self._create_message_view(), True, True, 0)
+        self.append_page(vbox, Gtk.Label(label="General"))
         vbox.show()
 
     def _create_relations(self):
-        vbox = Gtk.VBox(False, 6)
+        vbox = Gtk.VBox(homogeneous=False, spacing=6)
         vbox.set_border_width(6)
-        vbox.pack_start(self._create_parents(, True, True, 0), expand=False, fill=True)
-        vbox.pack_start(self._create_children(, True, True, 0), expand=False, fill=True)
-        self.append_page(vbox, tab_label=Gtk.Label(label="Relations"))
+        vbox.pack_start(self._create_parents(), False, True, 0)
+        vbox.pack_start(self._create_children(), False, True, 0)
+        self.append_page(vbox, Gtk.Label(label="Relations"))
         vbox.show()
 
     def _create_signature(self):
         self.signature_table = SignatureTab(self._repository)
-        self.append_page(self.signature_table, tab_label=Gtk.Label(label='Signature'))
+        self.append_page(
+            self.signature_table, tab_label=Gtk.Label(label='Signature'))
         self.connect_after('notify::revision', self._update_signature)
 
     def _create_headers(self):
@@ -686,7 +688,7 @@
         return self.avatarsbox
     
     def _create_parents(self):
-        hbox = Gtk.HBox(True, 3)
+        hbox = Gtk.HBox(homogeneous=True, spacing=3)
         
         self.parents_table = self._create_parents_or_children_table(
             "<b>Parents:</b>")
@@ -697,7 +699,7 @@
         return hbox
 
     def _create_children(self):
-        hbox = Gtk.HBox(True, 3)
+        hbox = Gtk.HBox(homogeneous=True, spacing=3)
         self.children_table = self._create_parents_or_children_table(
             "<b>Children:</b>")
         self.children_widgets = []
@@ -713,7 +715,7 @@
 
         label = Gtk.Label()
         label.set_markup(text)
-        align = Gtk.Alignment.new(0.0, 0.5)
+        align = Gtk.Alignment.new(0.0, 0.5, 0, 0)
         align.add(label)
         table.attach(align, 0, 1, 0, 1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         label.show()
@@ -728,7 +730,7 @@
         window = Gtk.ScrolledWindow()
         window.set_policy(Gtk.PolicyType.NEVER, Gtk.PolicyType.AUTOMATIC)
         window.set_shadow_type(Gtk.ShadowType.IN)
-        tv = Gtk.TextView(msg_buffer)
+        tv = Gtk.TextView(buffer=msg_buffer)
         tv.set_editable(False)
         tv.set_wrap_mode(Gtk.WrapMode.WORD)
 
@@ -741,16 +743,16 @@
     def _create_bugs(self):
         self.bugs_page = BugsTab()
         self.connect_after('notify::revision', self._update_bugs) 
-        self.append_page(self.bugs_page, tab_label=Gtk.Label(label='Bugs'))
+        self.append_page(self.bugs_page, Gtk.Label(label='Bugs'))
 
     def _create_file_info_view(self):
-        self.file_info_box = Gtk.VBox(False, 6)
+        self.file_info_box = Gtk.VBox(homogeneous=False, spacing=6)
         self.file_info_box.set_border_width(6)
         self.file_info_buffer = Gtk.TextBuffer()
         window = Gtk.ScrolledWindow()
         window.set_policy(Gtk.PolicyType.NEVER, Gtk.PolicyType.AUTOMATIC)
         window.set_shadow_type(Gtk.ShadowType.IN)
-        tv = Gtk.TextView(self.file_info_buffer)
+        tv = Gtk.TextView(buffer=self.file_info_buffer)
         tv.set_editable(False)
         tv.set_wrap_mode(Gtk.WrapMode.WORD)
         tv.modify_font(Pango.FontDescription("Monospace"))
@@ -759,5 +761,5 @@
         window.show()
         self.file_info_box.pack_start(window, True, True, 0)
         self.file_info_box.hide() # Only shown when there are per-file messages
-        self.append_page(self.file_info_box, tab_label=Gtk.Label(label='Per-file'))
+        self.append_page(self.file_info_box, Gtk.Label(label='Per-file'))
 

